SDL_UnsetEnvironmentVariable(3)

NAME
SDL_UnsetEnvironmentVariable - Clear a variable from the environment.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_UnsetEnvironmentVariable(SDL_Environment *env, const char *name);

FUNCTION PARAMETERS

env the environment to modify.

name
    the name of the variable to unset.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetEnvironment(3), •(3), SDL_CreateEnvironment(3), •(3), SDL_GetEnvironmentVariable(3), •(3), SDL_GetEnvironmentVariables(3), •(3), SDL_SetEnvironmentVariable(3), •(3), SDL_UnsetEnvironmentVariable(3)